Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.monitors
Class TraceMonitor.Monitor

    java.lang.Object
      avrora.monitors.TraceMonitor.Monitor

All Implemented Interfaces:
  Monitor

Enclosing class:
  TraceMonitor

public class TraceMonitor.Monitor
extends java.lang.Object
implements Monitor

The `Monitor` class implements the monitor for the profiler. It contains a `ProgramProfiler` instance which is a probe that is executed after every instruction that collects execution counts for every instruction in the program.

Nested Class Summary
`class` | `TraceMonitor.Monitor.EndProbe`
`class` | `TraceMonitor.Monitor.GlobalProbe`
`class` | `TraceMonitor.Monitor.StartProbe`

Field Summary
`int` | `count`
`TraceMonitor.Monitor.GlobalProbe` | `PROBE`
`Program` | `program`
`Simulator` | `simulator`

Method Summary
`void` | `report()` The `report()` method generates a textual report for the profiling information gathered from the execution of the program.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### simulator

    public final Simulator simulator

### program

    public final Program program

### PROBE

    public final TraceMonitor.Monitor.GlobalProbe PROBE

### count

    public int count

Method Detail

### report

    public void report()

  The `report()` method generates a textual report for the profiling information gathered from the execution of the program. The result is a table of performance information giving the number of executions of each instruction, compressed for basic blocks.

  Specified by:
    `report` in interface `Monitor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD